local _path, _temp_item=ModPath, nil
SkillTreeGui._place_point=SkillTreeGui.place_point

Hooks:Add("LocalizationManagerPostInit", "Loc:editskills", function(loc)
	local lang, path=SystemInfo and SystemInfo:language(), "loc.en.txt"
	if lang==Idstring("int") then
		path="loc.int.txt"
		end
	loc:load_localization_file(_path..path)
	end)

function SkillTreeGui:place_point(item)
	local skill_id=item:skill_id()
	if item:tier() then
		if managers.skilltree:skill_completed(skill_id) then
			self:_dialog_refund(item)
			return
		elseif managers.skilltree:skill_step(skill_id) > 0 then
			local points=managers.skilltree:get_skill_points(skill_id,
				managers.skilltree:next_skill_step(skill_id)
				) or 0
			if points > managers.skilltree:points() then
				self:_dialog_refund(item)
				return
				end
			end
		end
	_temp_item=item
	self:_place_point(item)
	end

function SkillTreeGui:_dialog_refund(item)
	local skill_id=item:skill_id()
	local points=managers.skilltree:get_skill_points(skill_id,
		managers.skilltree:skill_step(skill_id)
		) or 0
	managers.menu:show_confirm_skillpoints({
		skill_name_localized=item._skill_name,
		points=points,
		cost=math.floor(managers.money:get_skillpoint_cost(item:tree(), item:tier(), points)/2),
		remaining_points=managers.skilltree:points(),
		text_string="dialog_refund_skillpoint",
		yes_func=callback(self, self, "_dialog_confirm_undo", item),
		no_func=callback(self, self, "_dialog_confirm_no_fuckmods")
		})
	end

function SkillTreeGui:_dialog_confirm_no(item)
	item=_temp_item or item
	if item and item:tier() and managers.skilltree:skill_step(item:skill_id()) > 0 then
		self:_dialog_refund(item)
		end
	end

function SkillTreeGui:_dialog_confirm_no_fuckmods(item)
	end

function SkillTreeGui:_dialog_confirm_undo(item)
	managers.skilltree:refund_skill(item:skill_id(), item:tree(), item:tier())
	self:on_skilltree_reset(item:tree())
	end