function SkillTreeManager:refund_skill(skill_id, tree, tier)
	local tree_data=tweak_data.skilltree.trees[tree]
	self:_refund_skill(skill_id, tree, tier)
	for i=self:_max_valid_tier(tree)+1, #tree_data.tiers do
		for _, skill in ipairs(tree_data.tiers[i]) do
			self:_refund_skill(skill, tree, tier)
			end
		end
	end

function SkillTreeManager:_refund_skill(skill_id, tree, tier)
	if self:skill_step(skill_id) > 0 then
		for i=self:skill_step(skill_id), 1, -1 do
			local total_points, points=self:get_skill_points(skill_id, i)
			self:_spend_points(tree, tier, -points, -total_points)
			end
		self:_unaquire_skill(skill_id)
		end
	end

function SkillTreeManager:_skill_cost(skill_id, index)
	return tweak_data.skilltree.skills[skill_id][index]
		and tweak_data.skilltree.skills[skill_id][index].cost
		and Application:digest_value(tweak_data.skilltree.skills[skill_id][index].cost, false) or 0
	end

function SkillTreeManager:_max_valid_tier(tree)
	local spent=1
	local tree_data=tweak_data.skilltree.trees[tree]
	for tier=2, #tweak_data.skilltree.tier_unlocks do
		for _, skill_id in ipairs(tree_data.tiers[tier-1]) do
			local step=self:skill_step(skill_id)
			for i=1, step do
				spent=spent+self:_skill_cost(skill_id, i)
				end
			end
		if spent < self:tier_cost(tree, tier) then
			return tier-1
			end
		end
	return #tweak_data.skilltree.tier_unlocks
	end